<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Commanders: D:/Mes documents/Trusty/Arduino/Libraries/Commanders/src/ButtonsCommander.cpp Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Commanders
   </div>
   <div id="projectbrief">Arduino buttons/bus library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('ButtonsCommander_8cpp_source.html','');});
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">ButtonsCommander.cpp</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*************************************************************</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">project: &lt;Commanders&gt;</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">author: &lt;Thierry PARIS&gt;</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">description: &lt;Buttons Commander&gt;</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">*************************************************************/</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;</div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="Commanders_8h.html">Commanders.h</a>&gt;</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifdef NO_BUTTONSCOMMANDER</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#pragma message (&quot;Commanders : No Buttons commander !&quot;)</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#ifdef VISUALSTUDIO</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;stdarg.h&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_DEBUG_MODE</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#define CHECK(val, text)    CheckIndex(val, F(text))</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#else</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#define CHECK(val, text)</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<a class="code" href="classButtonsCommanderClass.html">ButtonsCommanderClass</a> *ButtonsCommanderClass::pButtonsCommander;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div><div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html#a75779d09c493df9641ec3b24ec0fdc91">   23</a></span>&#160;<a class="code" href="classButtonsCommanderClass.html#a75779d09c493df9641ec3b24ec0fdc91">ButtonsCommanderClass::ButtonsCommanderClass</a>()</div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;{</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;    this-&gt;pFirstButton = NULL;</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;}</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html#a3880ee3f88cb1407ca600ae12646d5b4">   28</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderClass.html#a3880ee3f88cb1407ca600ae12646d5b4">ButtonsCommanderClass::begin</a>()</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;{</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_DEBUG_MODE</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    Serial.println(F(<span class="stringliteral">&quot;   ButtonsCommander begin&quot;</span>));</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;}</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;</div><div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html#ab73b7eebdee90e9a67f76c04b544e7ba">   35</a></span>&#160;<a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *<a class="code" href="classButtonsCommanderClass.html#ab73b7eebdee90e9a67f76c04b544e7ba">ButtonsCommanderClass::AddButton</a>(<a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *inButton)</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;{</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <span class="keywordflow">if</span> (pButtonsCommander == NULL)</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        pButtonsCommander = <span class="keyword">new</span> <a class="code" href="classButtonsCommanderClass.html#a75779d09c493df9641ec3b24ec0fdc91">ButtonsCommanderClass</a>();</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <span class="keywordflow">return</span> pButtonsCommander-&gt;<a class="code" href="classButtonsCommanderClass.html#a79e6b42af26863ca1e8fd778b2724ac5">Add</a>(inButton);</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;}</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00043"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html#a79e6b42af26863ca1e8fd778b2724ac5">   43</a></span>&#160;<a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *<a class="code" href="classButtonsCommanderClass.html#a79e6b42af26863ca1e8fd778b2724ac5">ButtonsCommanderClass::Add</a>(<a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *inButton)</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;{</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordflow">if</span> (this-&gt;pFirstButton == NULL)             </div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;    {</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;        this-&gt;pFirstButton = inButton;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;        <span class="keywordflow">return</span> inButton;</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    }</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *pCurr = this-&gt;pFirstButton;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    <span class="keywordflow">while</span> (pCurr-&gt;<a class="code" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a>() != NULL)</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        pCurr = pCurr-&gt;<a class="code" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a>();</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    pCurr-&gt;<a class="code" href="classButtonsCommanderButton.html#a7fa0ef8aede172936672b384f81b03bb">SetNextButton</a>(inButton);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="keywordflow">return</span> inButton;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;}</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html#abb8a7f8c89b8e2f51f3838cf399bbe60">   61</a></span>&#160;<a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a>* <a class="code" href="classButtonsCommanderClass.html#abb8a7f8c89b8e2f51f3838cf399bbe60">ButtonsCommanderClass::GetFromId</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> inId)<span class="keyword"> const</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="keyword"></span>{</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *pCurr = this-&gt;pFirstButton;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;    <span class="keywordflow">while</span> (pCurr != NULL)</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    {</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;        <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *pButton = pCurr-&gt;<a class="code" href="classButtonsCommanderButton.html#a1ab1295abfbfafef48d38a8795fb0be7">GetFromId</a>(inId);</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;        <span class="keywordflow">if</span> (pButton != NULL)</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;            <span class="keywordflow">return</span> pButton;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;        pCurr = pCurr-&gt;<a class="code" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a>();</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;    }</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;    <span class="keywordflow">return</span> 0;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;}</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="keyword">static</span> <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *pCurrentLoopButton = NULL;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html#abc33c28391bc3bedc44a157f10624ca0">   78</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="classButtonsCommanderClass.html#abc33c28391bc3bedc44a157f10624ca0">ButtonsCommanderClass::beforeFirstLoop</a>()</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;{</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *pCurr = this-&gt;pFirstButton;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="keywordflow">while</span> (pCurr != NULL)</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    {</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        pCurr-&gt;<a class="code" href="classButtonsCommanderButton.html#ae1f260c75fbe475f674107bdc96f26cd">beforeFirstLoop</a>();</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        pCurr = pCurr-&gt;<a class="code" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a>();</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    }</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;}</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;</div><div class="line"><a name="l00089"></a><span class="lineno"><a class="line" href="classButtonsCommanderClass.html#acda3beac661dcf22d2593c76fde1a634">   89</a></span>&#160;<span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> <a class="code" href="classButtonsCommanderClass.html#acda3beac661dcf22d2593c76fde1a634">ButtonsCommanderClass::loop</a>()</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;{</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;    <span class="keywordflow">if</span> (pCurrentLoopButton != NULL)</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;        pCurrentLoopButton = pCurrentLoopButton-&gt;<a class="code" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a>();</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;    <span class="keywordflow">if</span> (pCurrentLoopButton == NULL)</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        pCurrentLoopButton = this-&gt;pFirstButton;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;    <span class="keywordflow">if</span> (pCurrentLoopButton == NULL)</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordtype">unsigned</span> <span class="keywordtype">long</span> ID = pCurrentLoopButton-&gt;<a class="code" href="classButtonsCommanderButton.html#a44bbb289ce1f64b42a88126e8dd42f7e">loop</a>();</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keywordflow">if</span> (ID == <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>)</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a>;</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_DEBUG_MODE</span></div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    Serial.print(F(<span class="stringliteral">&quot;ButtonsCommanderButton id:&quot;</span>));</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    Serial.print(ID, DEC);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;    Serial.println(F(<span class="stringliteral">&quot; selected !&quot;</span>));</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;    pCurrentLoopButton-&gt;<a class="code" href="classButtonsCommanderButton.html#a270eade0db966b7e72b6dc5462377593">EndLoop</a>();</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    <span class="keywordflow">return</span> ID;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;}</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="preprocessor">#ifdef COMMANDERS_PRINT_COMMANDERS</span></div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="keywordtype">void</span> ButtonsCommanderClass::printCommander()</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;{</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    Serial.println(F(<span class="stringliteral">&quot;Commander: ButtonsCommander &quot;</span>));</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <a class="code" href="classButtonsCommanderButton.html">ButtonsCommanderButton</a> *pCurr = this-&gt;pFirstButton;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    <span class="keywordflow">while</span> (pCurr != NULL)</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    {</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;        pCurr-&gt;printCommander();</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;        pCurr = pCurr-&gt;<a class="code" href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">GetNextButton</a>();</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    }</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;}</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">#endif</span></div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classButtonsCommanderButton_html_a270eade0db966b7e72b6dc5462377593"><div class="ttname"><a href="classButtonsCommanderButton.html#a270eade0db966b7e72b6dc5462377593">ButtonsCommanderButton::EndLoop</a></div><div class="ttdeci">virtual void EndLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00053">ButtonsCommanderButton.hpp:53</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a44bbb289ce1f64b42a88126e8dd42f7e"><div class="ttname"><a href="classButtonsCommanderButton.html#a44bbb289ce1f64b42a88126e8dd42f7e">ButtonsCommanderButton::loop</a></div><div class="ttdeci">virtual unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00046">ButtonsCommanderButton.hpp:46</a></div></div>
<div class="ttc" id="Events_8h_html_a48ad4dd16b8e22f2c8bc92b154479e92"><div class="ttname"><a href="Events_8h.html#a48ad4dd16b8e22f2c8bc92b154479e92">UNDEFINED_ID</a></div><div class="ttdeci">#define UNDEFINED_ID</div><div class="ttdef"><b>Definition:</b> <a href="Events_8h_source.html#l00038">Events.h:38</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_acda3beac661dcf22d2593c76fde1a634"><div class="ttname"><a href="classButtonsCommanderClass.html#acda3beac661dcf22d2593c76fde1a634">ButtonsCommanderClass::loop</a></div><div class="ttdeci">unsigned long loop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00089">ButtonsCommander.cpp:89</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_ae1f260c75fbe475f674107bdc96f26cd"><div class="ttname"><a href="classButtonsCommanderButton.html#ae1f260c75fbe475f674107bdc96f26cd">ButtonsCommanderButton::beforeFirstLoop</a></div><div class="ttdeci">virtual void beforeFirstLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00044">ButtonsCommanderButton.hpp:44</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_abc33c28391bc3bedc44a157f10624ca0"><div class="ttname"><a href="classButtonsCommanderClass.html#abc33c28391bc3bedc44a157f10624ca0">ButtonsCommanderClass::beforeFirstLoop</a></div><div class="ttdeci">void beforeFirstLoop()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00078">ButtonsCommander.cpp:78</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a1ab1295abfbfafef48d38a8795fb0be7"><div class="ttname"><a href="classButtonsCommanderButton.html#a1ab1295abfbfafef48d38a8795fb0be7">ButtonsCommanderButton::GetFromId</a></div><div class="ttdeci">virtual ButtonsCommanderButton * GetFromId(unsigned long inId)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00035">ButtonsCommanderButton.hpp:35</a></div></div>
<div class="ttc" id="Commanders_8h_html"><div class="ttname"><a href="Commanders_8h.html">Commanders.h</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_a3880ee3f88cb1407ca600ae12646d5b4"><div class="ttname"><a href="classButtonsCommanderClass.html#a3880ee3f88cb1407ca600ae12646d5b4">ButtonsCommanderClass::begin</a></div><div class="ttdeci">void begin()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00028">ButtonsCommander.cpp:28</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html"><div class="ttname"><a href="classButtonsCommanderClass.html">ButtonsCommanderClass</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8hpp_source.html#l00040">ButtonsCommander.hpp:40</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_a75779d09c493df9641ec3b24ec0fdc91"><div class="ttname"><a href="classButtonsCommanderClass.html#a75779d09c493df9641ec3b24ec0fdc91">ButtonsCommanderClass::ButtonsCommanderClass</a></div><div class="ttdeci">ButtonsCommanderClass()</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00023">ButtonsCommander.cpp:23</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_abb8a7f8c89b8e2f51f3838cf399bbe60"><div class="ttname"><a href="classButtonsCommanderClass.html#abb8a7f8c89b8e2f51f3838cf399bbe60">ButtonsCommanderClass::GetFromId</a></div><div class="ttdeci">ButtonsCommanderButton * GetFromId(unsigned long inId) const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00061">ButtonsCommander.cpp:61</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a7fa0ef8aede172936672b384f81b03bb"><div class="ttname"><a href="classButtonsCommanderButton.html#a7fa0ef8aede172936672b384f81b03bb">ButtonsCommanderButton::SetNextButton</a></div><div class="ttdeci">void SetNextButton(ButtonsCommanderButton *inpButton)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00058">ButtonsCommanderButton.hpp:58</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html"><div class="ttname"><a href="classButtonsCommanderButton.html">ButtonsCommanderButton</a></div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00015">ButtonsCommanderButton.hpp:15</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_a79e6b42af26863ca1e8fd778b2724ac5"><div class="ttname"><a href="classButtonsCommanderClass.html#a79e6b42af26863ca1e8fd778b2724ac5">ButtonsCommanderClass::Add</a></div><div class="ttdeci">ButtonsCommanderButton * Add(ButtonsCommanderButton *inpButton)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00043">ButtonsCommander.cpp:43</a></div></div>
<div class="ttc" id="classButtonsCommanderClass_html_ab73b7eebdee90e9a67f76c04b544e7ba"><div class="ttname"><a href="classButtonsCommanderClass.html#ab73b7eebdee90e9a67f76c04b544e7ba">ButtonsCommanderClass::AddButton</a></div><div class="ttdeci">static ButtonsCommanderButton * AddButton(ButtonsCommanderButton *inpButton)</div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommander_8cpp_source.html#l00035">ButtonsCommander.cpp:35</a></div></div>
<div class="ttc" id="classButtonsCommanderButton_html_a0dac1c9fcdc5bbe1d2b00a38192f555c"><div class="ttname"><a href="classButtonsCommanderButton.html#a0dac1c9fcdc5bbe1d2b00a38192f555c">ButtonsCommanderButton::GetNextButton</a></div><div class="ttdeci">ButtonsCommanderButton * GetNextButton() const </div><div class="ttdef"><b>Definition:</b> <a href="ButtonsCommanderButton_8hpp_source.html#l00062">ButtonsCommanderButton.hpp:62</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_d41d8cd98f00b204e9800998ecf8427e.html">src</a></li><li class="navelem"><b>ButtonsCommander.cpp</b></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:55:02 for Commanders &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
